import {ELINE_TEMPLATE_ADMQ, ELINE_TEMPLATE_QUERY, REQUEST_CONFIG} from "../../../utils/RequestUrls";
import Axios from 'axios'

var staticMethods = {
  //获取所有业务模板类型（待测试及确认）
  getElineTemplateAPICollection: function(){
    return Axios.get(ELINE_TEMPLATE_ADMQ);
  },

  //新增业务模板类型（待测试及确认）
  postElineTemplateAPIAdd:function (elineTemplate) {
    return Axios.post(ELINE_TEMPLATE_ADMQ, elineTemplate, REQUEST_CONFIG);
  },

  //修改业务模板类型（待测试及确认）
  putElineTemplateAPIUpdate:function (elineTemplate) {
    return Axios.put(ELINE_TEMPLATE_ADMQ, elineTemplate, REQUEST_CONFIG);
  },

  //删除业务模板类型（待测试及确认）
  deleteElineTemplateAPIDelete:function (delList) {
    return Axios.delete(ELINE_TEMPLATE_ADMQ,{
      data:delList,
      headers:{'Content-Type':'application/json','Encoding':'utf-8'}
    });
  },
  //条件查询业务模板类型（待测试及确认）
  getElineTemplateAPIByCondition:function (selectList) {
   return Axios.put(ELINE_TEMPLATE_QUERY, selectList, REQUEST_CONFIG);
  }
}

function ElineTemplateAPI (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(ElineTemplateAPI, staticMethods);
export default ElineTemplateAPI
